> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a call

> This operation allows you retrieve a call by id



## OpenAPI

````yaml https://api.cozmox.cloud/api-json post /v1/outbound/retrieve-call
openapi: 3.0.0
info:
  title: Cozmox Cloud API
  description: API for Cozmox Cloud
  version: '1.0'
  contact: {}
servers:
  - url: https://api.cozmox.cloud
security:
  - x-api-key: []
tags:
  - name: cozmox
    description: ''
paths:
  /v1/outbound/retrieve-call:
    post:
      tags:
        - Outbound
      summary: Retrieve a call
      description: This operation allows you retrieve a call by id
      operationId: OutboundController_retriveCall_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetrieveCallRequestDTO'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetrieveCallResponseDTO'
        '400':
          description: Bad Request.
        '500':
          description: Something went wrong.
      security:
        - x-api-key: []
components:
  schemas:
    RetrieveCallRequestDTO:
      type: object
      properties:
        callId:
          type: string
          description: The call id
          example: '1234567890'
      required:
        - callId
    RetrieveCallResponseDTO:
      type: object
      properties:
        createdAt:
          format: date-time
          type: string
          example: '2025-01-01T00:00:00.000Z'
          description: The date and time the call was created
        call_status:
          type: string
          example: completed
          description: The status of the call
        initialContext:
          type: string
          example: Hello, how are you?
          description: The initial context of the call
        greeting:
          type: string
          example: Hello, how are you?
          description: The greeting of the call
        fromPhone:
          type: string
          example: '+1234567890'
          description: The phone number of the caller
        disconnect_reason:
          type: string
          description: The disconnect reason of the call
        extraContext:
          type: object
          description: The extra variables of the call
          example:
            name: Liza
            current_datetime: '2025-01-01 10:10:10'
          additionalProperties:
            type: string
        agent:
          description: The agent of the call
          allOf:
            - $ref: '#/components/schemas/SingleAgentDto'
        summary:
          type: string
          description: The summary of the call
        analysis:
          type: object
          description: The analysis fields of the call
          example:
            needs_callback: 'yes'
          additionalProperties:
            type: string
        call_duration:
          type: number
          description: The duration of the call
        recording_url:
          type: string
          description: The recording url of the call
        is_voicemail:
          type: boolean
          description: Whether the call is voicemail
      required:
        - createdAt
        - call_status
        - initialContext
        - greeting
        - fromPhone
        - disconnect_reason
        - extraContext
        - agent
        - summary
        - analysis
        - call_duration
        - recording_url
        - is_voicemail
    SingleAgentDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        editedAt:
          format: date-time
          type: string
        latestPrompt:
          type: string
        primaryKnowledge:
          type: string
        backgroundNoise:
          type: string
        backgroundNoiseVolume:
          type: number
          maximum: 2
          minimum: 0.1
        llmProvider:
          type: string
        llmModel:
          type: string
        greeting:
          type: string
        stt:
          type: string
        tts:
          type: string
        baseLanguage:
          type: string
        voiceId:
          type: string
        voiceName:
          type: string
        backchannelingFrequency:
          type: number
        backchannelingWords:
          type: string
        tools:
          type: array
          items:
            $ref: '#/components/schemas/AgentToolDto'
      required:
        - id
        - name
        - editedAt
        - latestPrompt
        - primaryKnowledge
        - backgroundNoise
        - backgroundNoiseVolume
        - llmProvider
        - llmModel
        - greeting
        - stt
        - tts
        - baseLanguage
        - voiceId
        - voiceName
        - backchannelingFrequency
        - backchannelingWords
        - tools
    AgentToolDto:
      type: object
      properties:
        name:
          type: string
          maxLength: 25
        description:
          type: string
        webhook_url:
          type: string
        api_timeout_ms:
          type: number
        speak_during_execution:
          type: boolean
        speak_after_execution:
          type: boolean
        parameters:
          $ref: '#/components/schemas/AgentToolParameterDto'
      required:
        - name
        - webhook_url
    AgentToolParameterDto:
      type: object
      properties:
        type:
          type: string
        properties:
          type: object
        required:
          type: array
          items:
            type: string
      required:
        - type
        - properties
        - required
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: The API key

````